SkirentalPayment::Engine.routes.draw do
    scope 'api' do
        scope 'v1' do
            get  '/payment/index'               => "payments#index"
            get  '/payment/:payment_reference'  => "payments#show"
            post '/paypal/create'               => "paypal_payments#create"
            post '/paypal/execute'              => "paypal_payments#execute"
            get  '/paypal/environment'          => "paypal_payments#environment"
            post '/stripe/create'               => "stripe_payments#create"
            get  '/stripe/check'                => "stripe_payments#check"
            post '/stripe/webhook'              => "stripe_payments#webhook"
            post '/reservation/create'          => "reservations#create"
        end
    end
end
